Bug 1492699 - python-celery package missing in epel7
Summary: python-celery package missing in epel7
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-celery
Version: epel7
Hardware: noarch
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1522821
Blocks: 1523651
TreeView+ depends on / blocked
 
Reported: 2017-09-18 13:46 UTC by Michael Watters
Modified: 2019-02-06 00:58 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-06 00:58:48 UTC


Attachments (Terms of Use)

Description Michael Watters 2017-09-18 13:46:07 UTC
Description of problem:

The python-celery package does not appear to be available in EPEL 7.  The package does build properly using the srpm file located at https://archives.fedoraproject.org/pub/fedora/linux/releases/22/Everything/source/SRPMS/p/python-celery-3.1.9-3.fc21.src.rpm.

Can you please build this package for EPEL 7?

Comment 1 Matthias Runge 2017-09-18 14:15:52 UTC
I'd rather build a newer version than adding an already outdated version.

Comment 2 Michael Watters 2017-12-06 14:06:26 UTC
(In reply to Matthias Runge from comment #1)
> I'd rather build a newer version than adding an already outdated version.

A newer version would be fine as long as the package is available.

Comment 3 Matthias Runge 2017-12-08 10:28:17 UTC
DEBUG util.py:439:  Getting requirements for python-celery-4.0.2-4.el7.src
DEBUG util.py:439:   --> python-devel-2.7.5-58.el7.x86_64
DEBUG util.py:439:   --> Already installed : python2-rpm-macros-3-17.el7.noarch
DEBUG util.py:439:   --> python-setuptools-0.9.8-7.el7.noarch
DEBUG util.py:439:  Error: No Package found for python2-billiard
DEBUG util.py:439:  Error: No Package found for python2-kombu
DEBUG util.py:439:  Error: No Package found for python2-sphinx
DEBUG util.py:439:  Error: No Package found for python2-sqlalchemy
DEBUG util.py:577:  Child return code was: 1
DEBUG util.py:188:  kill orphans


A bit of work to do here.

Comment 4 marcindulak 2017-12-08 13:53:07 UTC
python-celery on epel7 has been requested almost 3 years ago bug #1191235

What are the plans about kombu - kombu 3: bug #1329587, kombu 2 bug #1522821
or kombu 4 bug #1492704?

Comment 5 marcindulak 2017-12-08 14:08:10 UTC
The current status on EPEL7

# for p in python-billiard python-kombu python-sphinx python-sqlalchemy; do yum provides $p; done | grep el7

1:python-billiard-3.3.0.20-2.el7.x86_64 : Multiprocessing Pool Extensions
python-kombu-2.5.16-1.el7.noarch : AMQP Messaging Framework for Python
python-sphinx-1.1.3-11.el7.noarch : Python documentation generator
python-sqlalchemy-0.9.8-2.el7.x86_64 : Modular and flexible ORM library for

That means 
https://dl.fedoraproject.org/pub/fedora/linux/releases/27/Everything/source/tree/Packages/p/python-celery-4.0.2-3.fc27.src.rpm can be build (not sure whether functional or not) after adjusting for the new Fedora Python packaging convention, that requires these python2 and python3 to be used.

Comment 6 Matthias Runge 2017-12-08 14:42:11 UTC
kombu, billiard and celery need to match quite tightly. Billiard is quite new, which makes it necessary to update the other components as well, introducing new dependencies.

Comment 7 Fedora Update System 2019-01-29 01:15:18 UTC
python-kombu-4.2.2-1.el7 python-vine-1.2.0-1.el7 pagure-5.2-2.el7 python-billiard-3.5.0.5-1.el7 python-amqp-2.4.0-1.el7 python-celery-4.2.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-dd9e038712

Comment 8 Fedora Update System 2019-01-30 02:22:51 UTC
pagure-5.2-2.el7, python-amqp-2.4.0-1.el7, python-billiard-3.5.0.5-1.el7, python-celery-4.2.1-3.el7, python-kombu-4.2.2-1.el7, python-vine-1.2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-dd9e038712

Comment 9 Fedora Update System 2019-02-01 02:30:36 UTC
pagure-5.2-2.el7 python-amqp-2.4.0-1.el7 python-billiard-3.5.0.5-1.el7 python-celery-4.2.1-3.el7 python-kombu-4.2.2-1.el7 python-redis-2.10.6-1.el7 python-vine-1.2.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-dd9e038712

Comment 10 Fedora Update System 2019-02-02 00:48:42 UTC
pagure-5.2-2.el7, python-amqp-2.4.0-1.el7, python-billiard-3.5.0.5-1.el7, python-celery-4.2.1-3.el7, python-kombu-4.2.2-1.el7, python-redis-2.10.6-1.el7, python-vine-1.2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-dd9e038712

Comment 11 Fedora Update System 2019-02-06 00:58:48 UTC
pagure-5.2-2.el7, python-amqp-2.4.0-1.el7, python-billiard-3.5.0.5-1.el7, python-celery-4.2.1-3.el7, python-kombu-4.2.2-1.el7, python-redis-2.10.6-1.el7, python-vine-1.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.